Paho MQTT C Client Library: Data Fields

| Paho MQTT C Client Library

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- array : MQTTProperties

### - b -

- binarypwd : MQTTClient_connectOptions
- byte : MQTTProperty

### - c -

- CApath : MQTTClient_SSLOptions
- cleansession : MQTTClient_connectOptions
- cleanstart : MQTTClient_connectOptions
- connectTimeout : MQTTClient_connectOptions
- context : MQTTClient_persistence
- count : MQTTProperties

### - d -

- data : MQTTClient_connectOptions, MQTTClient_willOptions, MQTTLenString, MQTTProperty
- disableDefaultTrustStore : MQTTClient_SSLOptions
- do_openssl_init : MQTTClient_init_options
- dup : MQTTClient_message

### - e -

- enabledCipherSuites : MQTTClient_SSLOptions
- enableServerCertAuth : MQTTClient_SSLOptions

### - h -

- httpHeaders : MQTTClient_connectOptions
- httpProxy : MQTTClient_connectOptions
- httpsProxy : MQTTClient_connectOptions

### - i -

- identifier : MQTTProperty
- integer2 : MQTTProperty
- integer4 : MQTTProperty

### - k -

- keepAliveInterval : MQTTClient_connectOptions
- keyStore : MQTTClient_SSLOptions

### - l -

- len : MQTTClient_connectOptions, MQTTClient_willOptions, MQTTLenString
- length : MQTTProperties

### - m -

- max_count : MQTTProperties
- maxInflightMessages : MQTTClient_connectOptions
- message : MQTTClient_willOptions
- MQTTVersion : MQTTClient_connectOptions, MQTTClient_createOptions
- msgid : MQTTClient_message

### - n -

- name : MQTTClient_nameValue
- noLocal : MQTTSubscribe_options

### - p -

- password : MQTTClient_connectOptions
- payload : MQTTClient_message, MQTTClient_willOptions
- payloadlen : MQTTClient_message
- pclear : MQTTClient_persistence
- pclose : MQTTClient_persistence
- pcontainskey : MQTTClient_persistence
- pget : MQTTClient_persistence
- pkeys : MQTTClient_persistence
- popen : MQTTClient_persistence
- pput : MQTTClient_persistence
- premove : MQTTClient_persistence
- privateKey : MQTTClient_SSLOptions
- privateKeyPassword : MQTTClient_SSLOptions
- properties : MQTTClient_message, MQTTResponse
- protos : MQTTClient_SSLOptions
- protos_len : MQTTClient_SSLOptions

### - q -

- qos : MQTTClient_message, MQTTClient_willOptions

### - r -

- reasonCode : MQTTResponse
- reasonCodeCount : MQTTResponse
- reasonCodes : MQTTResponse
- reliable : MQTTClient_connectOptions
- retainAsPublished : MQTTSubscribe_options
- retained : MQTTClient_message, MQTTClient_willOptions
- retainHandling : MQTTSubscribe_options
- retryInterval : MQTTClient_connectOptions
- returned : MQTTClient_connectOptions

### - s -

- serverURI : MQTTClient_connectOptions
- serverURIcount : MQTTClient_connectOptions
- serverURIs : MQTTClient_connectOptions
- sessionPresent : MQTTClient_connectOptions
- ssl : MQTTClient_connectOptions
- ssl_error_cb : MQTTClient_SSLOptions
- ssl_error_context : MQTTClient_SSLOptions
- ssl_psk_cb : MQTTClient_SSLOptions
- ssl_psk_context : MQTTClient_SSLOptions
- sslVersion : MQTTClient_SSLOptions
- struct_id : MQTTClient_connectOptions, MQTTClient_createOptions, MQTTClient_init_options, MQTTClient_message, MQTTClient_SSLOptions, MQTTClient_willOptions, MQTTSubscribe_options
- struct_version : MQTTClient_connectOptions, MQTTClient_createOptions, MQTTClient_init_options, MQTTClient_message, MQTTClient_SSLOptions, MQTTClient_willOptions, MQTTSubscribe_options

### - t -

- topicName : MQTTClient_willOptions
- trustStore : MQTTClient_SSLOptions

### - u -

- username : MQTTClient_connectOptions

### - v -

- value : MQTTClient_nameValue, MQTTProperty
- verify : MQTTClient_SSLOptions
- version : MQTTResponse

### - w -

- will : MQTTClient_connectOptions